"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Base64url = void 0;
const buffer_1 = require("buffer");
class Base64url {
    /**
     *
     * Encode into base64url string
     *
     */
    static encode(input) {
        return buffer_1.Buffer.from(input).toString('base64url');
    }
    /**
     *
     * Encode from JSON into a base64url string
     *
     */
    static encodeFromJson(input) {
        return buffer_1.Buffer.from(JSON.stringify(input)).toString('base64url');
    }
    /**
     *
     * Decode from base64url into JSON
     *
     */
    static decodeToJson(input) {
        return JSON.parse(buffer_1.Buffer.from(input, 'base64url').toString());
    }
    /**
     *
     * Decode from base64url into a byte array
     *
     */
    static decode(input) {
        return Uint8Array.from(buffer_1.Buffer.from(input, 'base64url'));
    }
}
exports.Base64url = Base64url;
//# sourceMappingURL=base64url.js.map